@echo Off
If Exist ..\Z_XvT__.exe goto :warn

goto :wrongver

:warn
Echo ======================================================
Echo WARNING: This Patch will modify your BoP files.
Echo ======================================================
Echo The EH, TAC, SCO or Creator of this patch take no 
Echo responsibility for any damage incured to your systems 
Echo or data. You agree that any and all responsibilty for 
Echo any damages incurred is your own. This patch is not 
Echo created, distrubuted or supported in any way by Lucas 
Echo Arts Entertainment Company. Use at your own risk.
Echo ======================================================

choice I have read and agree with the above disclaimer 
If errorlevel == 2 goto :end
If errorlevel == 1 goto :EHSP

:EHSP
If Exist Back.EH goto :cont

goto :EHSPMIS

:cont
If Exist ..\Z_XvT__.exe goto :BoP

goto :wrongver

:BoP
rem ============================================
rem BoP Backup and Install routines
rem ============================================

If exist Back.ASH goto :BoPpreback

echo ASH backup, do no delete. >> Back.ASH

md BACKUP
cd Backup
md ASH
cd..

copy ..\Z_XVT__.EXE Backup\ASH
copy ..\STRINGS.TXT Backup\ASH
copy ..\FRONTTXT.TXT Backup\ASH
copy ..\SPECDESC.TXT Backup\ASH
copy ..\frontres\FRNTSPEC.LST Backup\ASH
copy ..\ivfiles\SPEC3320.LST Backup\ASH
copy ..\ivfiles\SPEC3640.LST Backup\ASH
copy "..\ivfiles\ASH.opt" Backup\ASH

goto :BoPnext

:BoPpreback
Echo =======================
Echo Backup already exists. 
Echo Skipping Backing up.
Echo =======================    
Pause

:BoPnext
copy ASHpatch\ASH.BoP .. /y
copy ASHpatch\Tiepatch.exe .. /y
copy ASHpatch\ASH.OPT "..\ivfiles" /y

cd ASHpatch

rem == Fronttxt.txt ==
header ..\..\Fronttxt.txt 68 0 >> ..\..\Fronttxt.new
type Fronttxt.1 >> ..\..\Fronttxt.new
header ..\..\Fronttxt.txt 800 69 >> ..\..\Fronttxt.new
del ..\..\Fronttxt.txt
ren ..\..\Fronttxt.new Fronttxt.txt

rem == Specdesc.txt ==
header ..\..\specdesc.txt 195 0 >> ..\..\specdesc.new
type specdesc.1 >> ..\..\specdesc.new
header ..\..\specdesc.txt 270 200 >> ..\..\specdesc.new
del ..\..\specdesc.txt
ren ..\..\specdesc.new Specdesc.txt

rem == Strings.txt ==
header ..\..\strings.txt 1911 0 >> ..\..\strings.new
type strings.1 >> ..\..\strings.new
header ..\..\strings.txt 78 1912 >> ..\..\strings.new
type strings.2 >> ..\..\strings.new
header ..\..\strings.txt 1046 1991 >> ..\..\strings.new
del ..\..\strings.txt
ren ..\..\strings.new Strings.txt

rem == ..\Frontres\Frntspec.lst == 
header ..\..\Frontres\frntspec.lst 86 0 >> ..\..\Frontres\frntspec.new
type frntspec.1 >> ..\..\Frontres\frntspec.new
header ..\..\Frontres\frntspec.lst 1 87 >> ..\..\Frontres\frntspec.new
del ..\..\Frontres\frntspec.lst
ren ..\..\Frontres\frntspec.new Frntspec.lst

rem == ..\Ivfiles\Spec3320.lst ==
header ..\..\Ivfiles\spec3320.lst 19 0 -pasteof >> ..\..\Ivfiles\spec3320.new
type spec3320.1 >> ..\..\Ivfiles\spec3320.new
header ..\..\Ivfiles\spec3320.lst 2 20 -pasteof >> ..\..\Ivfiles\spec3320.new
del ..\..\Ivfiles\spec3320.lst
ren ..\..\Ivfiles\spec3320.new spec3320.lst

rem == ..\Ivfiles\Spec3640.lst ==
header ..\..\Ivfiles\spec3640.lst 19 0 -pasteof >> ..\..\Ivfiles\spec3640.new
type spec3320.1 >> ..\..\Ivfiles\spec3640.new
header ..\..\Ivfiles\spec3640.lst 2 20 -pasteof >> ..\..\Ivfiles\spec3640.new
del ..\..\Ivfiles\spec3640.lst
ren ..\..\Ivfiles\spec3640.new spec3640.lst

cd ..

Goto :BoPinst

rem ================================
rem Routines to install .exe patch's
rem ================================

:BoPinst

cd ..

tiepatch ASH.BoP
del ASH.BoP
del tiepatch.exe

goto :end

rem =========
rem Warnings:
rem =========

:EHSPMIS
echo ===========================================
echo ERROR:
echo You require the Emperors Hammer Ship Patch 
echo (EHSP-BoP) to install this craft.
echo ===========================================
echo Please download it from the Science Office.
echo ===========================================
pause
goto :end

:wrongver
echo ======================================
echo ERROR:
echo Your Version of BoP appears to be 
echo incomplete, or of an unknown version
echo ======================================
echo Please check the Science Office FAQ.
echo ======================================
pause
:end
